Bug 1265723 - BPM cluster does not respect uberfire configuration system properties
BPM cluster does not respect uberfire configuration system properties
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.2.0
Assigned To: Alexandre Porcelli
Radovan Synek
: TestBlocker
Depends On: 1257301 1269508
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 10:37 EDT by Radovan Synek
Modified: 2015-11-04 07:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
domain.xml (88.31 KB, text/plain)
2015-09-23 10:37 EDT, Radovan Synek
no flags Details
hosts.xml (7.63 KB, text/plain)
2015-09-23 10:38 EDT, Radovan Synek
no flags Details

  None (edit)
Description Radovan Synek 2015-09-23 10:37:34 EDT
Created attachment 1076249 [details]
domain.xml

Running a BPM cluster on EAP 6.4.3 domain containing two nodes on a single machine, cluster fails to start due to address already in use /127.0.0.1:9418. Both nodes have been configured to bind to a different port using system properties org.uberfire.nio.git.daemon.port and org.uberfire.nio.git.daemon.hostport to values 9418 resp. 9419.

.niogit location has been specified by org.uberfire.nio.git.dir to point to different directories for each server node, but the .niogit directory has been created in its default location. This applies to other directories like .index as well, which resulted in some runs in org.apache.lucene.store.LockObtainFailedException: Lock obtain timed out (probably happened before starting git daemon)

Scanning for open ports revealed that only default ports (8001, 9418) were opened, in contrast with configured values. See the attached configuration files.
Comment 1 Radovan Synek 2015-09-23 10:38 EDT
Created attachment 1076250 [details]
hosts.xml
Comment 2 Radovan Synek 2015-09-23 11:18:28 EDT
tested version: BPM Suite 6.2.0.ER3
Comment 3 Thomas Hauser 2015-10-02 12:21:32 EDT
One comment I have is that this problem does NOT seem to occur on Windows boxes. There are no port collisions, but there is an NPE relating to uberfire sometimes. I can post logs if that will help.
Comment 6 Radovan Synek 2015-11-04 07:49:56 EST
Verified with BPMS-6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.